Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Class SVGTextElementBridge.AbstractTextChildSVGContext

    java.lang.Object
      org.apache.batik.bridge.SVGTextElementBridge.AbstractTextChildSVGContext

All Implemented Interfaces:
  SVGContext

Direct Known Subclasses:
  SVGTextElementBridge.AbstractTextChildBridgeUpdateHandler

Enclosing class:
  SVGTextElementBridge

protected abstract class SVGTextElementBridge.AbstractTextChildSVGContext
extends java.lang.Object
implements SVGContext

Implementation of SVGContext for the children of <text>

Field Summary
`protected BridgeContext` | `ctx` Bridge Context
`protected org.w3c.dom.Element` | `e` Element
`protected SVGTextElementBridge` | `textBridge` Text bridge parent

Constructor Summary
`SVGTextElementBridge.AbstractTextChildSVGContext(BridgeContext ctx, SVGTextElementBridge parent, org.w3c.dom.Element e)` Initialize the `SVGContext` implementation with the bridgeContext, the parent bridge, and the element supervised by this context

Method Summary
`java.awt.geom.Rectangle2D` | `getBBox()` Returns the tight bounding box in current user space (i.e., after application of the transform attribute, if any) on the geometry of all contained graphics elements, exclusive of stroke-width and filter effects).
`java.awt.geom.AffineTransform` | `getCTM()` Returns the transformation matrix from current user units (i.e., after application of the transform attribute, if any) to the viewport coordinate system for the nearestViewportElement.
`float` | `getFontSize()` Returns the font-size on the associated element.
`java.awt.geom.AffineTransform` | `getGlobalTransform()` Returns the global transformation matrix from the current element to the root.
`float` | `getPixelToMM()` Returns the size of a px CSS unit in millimeters.
`float` | `getPixelUnitToMillimeter()` Returns the size of a px CSS unit in millimeters.
`java.awt.geom.AffineTransform` | `getScreenTransform()` Returns the transformation matrix from the userspace of the root element to the screen.
`float` | `getViewportHeight()` Returns the height of the viewport which directly contains the given element.
`float` | `getViewportWidth()` Returns the width of the viewport which directly contains the given element.
`void` | `setScreenTransform(java.awt.geom.AffineTransform at)` Sets the transformation matrix to be used from the userspace of the root element to the screen.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ctx

    protected BridgeContext ctx

  Bridge Context

### textBridge

    protected SVGTextElementBridge textBridge

  Text bridge parent

### e

    protected org.w3c.dom.Element e

  Element

Constructor Detail

### SVGTextElementBridge.AbstractTextChildSVGContext

    public SVGTextElementBridge.AbstractTextChildSVGContext(BridgeContext ctx,
                                                            SVGTextElementBridge parent,
                                                            org.w3c.dom.Element e)

  Initialize the `SVGContext` implementation with the bridgeContext, the parent bridge, and the element supervised by this context

Method Detail

### getPixelUnitToMillimeter

    public float getPixelUnitToMillimeter()

  Returns the size of a px CSS unit in millimeters.

  Specified by:
    `getPixelUnitToMillimeter` in interface `SVGContext`

### getPixelToMM

    public float getPixelToMM()

  Returns the size of a px CSS unit in millimeters. This will be removed after next release.

  Specified by:
    `getPixelToMM` in interface `SVGContext`
  See Also:
    `getPixelUnitToMillimeter()`

### getBBox

    public java.awt.geom.Rectangle2D getBBox()

  Returns the tight bounding box in current user space (i.e., after application of the transform attribute, if any) on the geometry of all contained graphics elements, exclusive of stroke-width and filter effects).

  Specified by:
    `getBBox` in interface `SVGContext`

### getCTM

    public java.awt.geom.AffineTransform getCTM()

  Returns the transformation matrix from current user units (i.e., after application of the transform attribute, if any) to the viewport coordinate system for the nearestViewportElement.

  Specified by:
    `getCTM` in interface `SVGContext`

### getGlobalTransform

    public java.awt.geom.AffineTransform getGlobalTransform()

  Returns the global transformation matrix from the current element to the root.

  Specified by:
    `getGlobalTransform` in interface `SVGContext`

### getScreenTransform

    public java.awt.geom.AffineTransform getScreenTransform()

  Returns the transformation matrix from the userspace of the root element to the screen.

  Specified by:
    `getScreenTransform` in interface `SVGContext`

### setScreenTransform

    public void setScreenTransform(java.awt.geom.AffineTransform at)

  Sets the transformation matrix to be used from the userspace of the root element to the screen.

  Specified by:
    `setScreenTransform` in interface `SVGContext`

### getViewportWidth

    public float getViewportWidth()

  Returns the width of the viewport which directly contains the given element.

  Specified by:
    `getViewportWidth` in interface `SVGContext`

### getViewportHeight

    public float getViewportHeight()

  Returns the height of the viewport which directly contains the given element.

  Specified by:
    `getViewportHeight` in interface `SVGContext`

### getFontSize

    public float getFontSize()

  Returns the font-size on the associated element.

  Specified by:
    `getFontSize` in interface `SVGContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.